Manual:Upgrading to 1.10/es

From MediaWiki.org
Jump to navigation Jump to search

La primavera llegó, y también MediaWiki 1.10. Como siempre, hay más características y bugs corregidos, y como siempre, les entregamos una guía rápida para actualizar.

Visión general[edit]

Primero, revisa el texto de actualización incluído en MediaWiki 1.10.

Como en todas las actualizaciones de MediaWiki, las premisas básicas son las mismas:

  1. Comprueba los requerimientos
  2. Lee las notas de lanzamiento
  3. Saca copias de protección de los archivos existentes de la base de datos
  4. Desempaqueta los nuevos archivos
  5. Corre el script de actualización para verificar la base de datos
  6. Actualiza las extensiones
  7. Prueba la actualización

Comprueba los requerimientos[edit]

MediaWiki 1.10 require:

PHP[edit]

  • PHP 5.0.x o posterior
    Nosotros recomendamos usar PHP 5.1.x.
    Tomar en cuenta que PHP 5.0.x bajo ciertos plataformas de 64-bit contiene algunos bugs que pueden causar problemas importantes en MediaWiki. Si se está corriendo en x86_64 (AMD64, EMT64) u otra plataforma 64-bit, es necesario utilizar PHP 5.1.x.

DBMS[edit]

  • MySQL 4.0.x o posterior
    Version 3.x no está soportada desde 1.6.0

o

  • PostgreSQL 8.1 o posterior
    Seguramente necesitarás de los módulos tsearch2 y plpgsql

Lee las notas de lanzamiento[edit]

Within the distribution tarball, or within the files checked out/exported from SVN, there are a number of files with capitalised filenames, one of which contains the RELEASE-NOTES. Now's the time to open it up and find out what's been changed in 1.10.

Otros idiomas: English  • Deutsch • español • 日本語 • русский • 中文